Sage 8.9+, python3, and LM 19.x

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Colm
Level 1
Level 1
Posts: 10
Joined: Sun Jan 15, 2017 12:15 am

Sage 8.9+, python3, and LM 19.x

Post by Colm »

Since version 8.9, sagemath has transitioned from the no-longer-supported python2 framework, to python3. This is an important step up, but the Tessa repository seems stuck on version 8.1-7ubuntu1, depending on python2. I understand that the LM packages are based on Ubuntu 18.04 (bionic)... does this mean that Tessa users have to wait for the Bionic respository to update, for the newest sage to become automatically available?

I am aware of many other ways that I could install the latest sagemath (9.2), that is no problem, I am not asking for help doing that. Mostly, I just want to understand the package system a little better using this example.

Also, if this is a project I could contribute to helping bring the latest package into LM 19.x, who would I start to contact about that? Or is there maybe a major technical reason it hasn't happened yet?

Thanks,
~colm
Post Reply

Return to “Software & Applications”